Subject: bug#76812: vestigial elisp manual descriptions of obsolete variables mouse-wheel-up/down-event

From: Stefan Monnier <[email-masked]>
Date: Sat, 08 Mar 2025 14:37:59 -0500

>> Would it make sense we say something about what those "unusual
>> configurations" are?

IIRC the only known cases where the `mouse-4/5` are still used instead
of `wheel-up/down` is when the users set `mouse-wheel-buttons` to nil,
presumably in order to work around a problem in a package which has not
yet been updated to pay attention to wheel-up/down.

Of course, there may also be packages out there doing things similar to
`xterm-mouse-mode` and which still generate `mouse-4/5` events, tho
I haven't heard of such packages.

> I think so.  The current situation is sort of odd, in that the variables are
> both obsoleted (conveying: do not use in new code), and also apparently
> required for use in new portable code.  Does that suggest they were
> obsoleted prematurely, if they are still required on some systems?

Yeah, I would be fine with just removing mention of those variables.

        Stefan